summaryrefslogtreecommitdiffstats
path: root/tests/imptcp-connection-msg-disabled.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/imptcp-connection-msg-disabled.sh')
-rwxr-xr-xtests/imptcp-connection-msg-disabled.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/imptcp-connection-msg-disabled.sh b/tests/imptcp-connection-msg-disabled.sh
new file mode 100755
index 0000000..1cf1139
--- /dev/null
+++ b/tests/imptcp-connection-msg-disabled.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# addd 2017-03-31 by Pascal Withopf, released under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imptcp/.libs/imptcp")
+input(type="imptcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+
+:msg, contains, "msgnum:" {
+ action(type="omfile" file=`echo $RSYSLOG2_OUT_LOG`)
+}
+
+action(type="omfile" file="'$RSYSLOG_OUT_LOG'")
+
+'
+startup
+assign_tcpflood_port $RSYSLOG_DYNNAME.tcpflood_port
+tcpflood -m1 -M"\"<129>Mar 10 01:00:00 172.20.245.8 tag: msgnum:1\""
+shutdown_when_empty
+wait_shutdown
+
+grep "imptcp: connection established" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -eq 0 ]; then
+ echo
+ echo "FAIL: expected error message not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+grep "imptcp: session on socket.* closed" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -eq 0 ]; then
+ echo
+ echo "FAIL: expected error message not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test